> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User Leave

> Deletes a user leave by providing the leave ID and user ID.



## OpenAPI

````yaml /api-reference/openapi.json delete /user/leaves
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /user/leaves:
    delete:
      tags:
        - User Leaves
      summary: Delete User Leave
      description: Deletes a user leave by providing the leave ID and user ID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LeaveDeleteInput'
            example:
              id: 15489
              userId: 8555
      responses:
        '200':
          description: Leave deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
              example:
                id: 15489
components:
  schemas:
    LeaveDeleteInput:
      type: object
      required:
        - id
        - userId
      properties:
        id:
          type: integer
          description: Leave ID to delete
        userId:
          type: integer
          description: User ID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````